﻿using System.ComponentModel.DataAnnotations;

namespace SewingDressesDatabaseImplement.Models
{
    public class DressComponent
    {
        public int Id { get; set; }
        [Required]
        public int DressId { get; set; }
        [Required]
        public int ComponentId { get; set; }
        [Required]
        public int Count { get; set; }
        public virtual Component Component { get; set; } = new();
        public virtual Dress Dress { get; set; } = new();
    }
}
